Retrieve a Single Taxonomy Term
Retrieve a single taxonomy term and its sub-terms.
https://api.storyblok.com/v2/cdn/taxonomy_terms/:idPath parameters
Section titled “Path parameters”:idrequired stringThe taxonomy term’s name.
Query parameters
Section titled “Query parameters”tokenrequired stringA preview or public access token configured in a space.
Response properties
Section titled “Response properties”taxonomy_termTaxonomyTermAn object that contains a taxonomy.
Show child properties
idstringThe taxonomy’s ID.
display_namestringThe taxonomy’s name.
namestringThe taxonomy’s technical name.
descriptionstring | nullThe taxonomy’s description.
parent_idstring | nullThe top-level term’s ID.
last_authorobject | nullAn object that contains the details of user who created the term.
Show child properties
idintegerThe user’s numeric ID.
useridstringThe user’s username or email address.
friendly_namestringThe user’s display name.
avatarstring | nullThe URL of the user’s avatar image.
last_author_idstring | nullThe user’s ID.
created_atstringCreation timestamp. Supports ISO 8601.
updated_atstringLatest update timestamp. Supports ISO 8601.
childrenarray<TaxonomyTerm>An array of sub-terms objects.
Show child properties
idstringThe taxonomy’s ID.
display_namestringThe taxonomy’s name.
namestringThe taxonomy’s technical name.
descriptionstring | nullThe taxonomy’s description.
parent_idstring | nullThe top-level term’s ID.
last_authorobject | nullAn object that contains the details of user who created the term.
Show child properties
idintegerThe user’s numeric ID.
useridstringThe user’s username or email address.
friendly_namestringThe user’s display name.
avatarstring | nullThe URL of the user’s avatar image.
last_author_idstring | nullThe user’s ID.
created_atstringCreation timestamp. Supports ISO 8601.
updated_atstringLatest update timestamp. Supports ISO 8601.
childrenarray<TaxonomyTerm>An array of sub-terms objects.
terms_countintegerThe number sub-terms (at any depth).
last_activity_atstringLatest update timestamp. Supports ISO 8601.
associated_contentarray<object>An array of story objects associated with the taxonomy.
Show child properties
idstringThe associated story’s ID.
typestringThe associated block type’s name.
namestringfull_slugstringThe story’s full slug, including parent folder and language paths.
updated_atstringLatest update timestamp. Supports ISO 8601.
terms_countintegerThe number sub-terms (at any depth).
last_activity_atstringLatest update timestamp. Supports ISO 8601.
associated_contentarray<object>An array of story objects associated with the taxonomy.
Show child properties
idstringThe associated story’s ID.
typestringThe associated block type’s name.
namestringfull_slugstringThe story’s full slug, including parent folder and language paths.
updated_atstringLatest update timestamp. Supports ISO 8601.
cvinteger | nullCached version Unix timestamp. Learn more in the Caching concept.
Examples
Section titled “Examples”curl "https://api.storyblok.com/v2/cdn/taxonomy_terms/:id\?token=YOUR_ACCESS_TOKEN"// storyblok-js-client@>=7, node@>=18import Storyblok from "storyblok-js-client";
const storyblok = new Storyblok({ accessToken: "krcV6QGxWORpYLUWt12xKQtt",});
try { const response = await storyblok.get('cdn/taxonomy_terms/:id', {}) console.log({ response })} catch (error) { console.log(error)}$client = new \Storyblok\Client('YOUR_STORYBLOK_SPACE_ACCESS_TOKEN');
$client->get('taxonomy_terms/:id')->getBody();HttpResponse<String> response = Unirest.get("https://api.storyblok.com/v2/cdn/taxonomy_terms/:id?token=YOUR_ACCESS_TOKEN") .asString();var client = new RestClient("https://api.storyblok.com/v2/cdn/taxonomy_terms/:id?token=YOUR_ACCESS_TOKEN");var request = new RestRequest(Method.GET);
IRestResponse response = client.Execute(request);import requests
url = "https://api.storyblok.com/v2/cdn/taxonomy_terms/:id"
querystring = {"token":"YOUR_ACCESS_TOKEN"}
payload = ""headers = {}
response = requests.request("GET", url, data=payload, headers=headers, params=querystring)
print(response.text)require 'storyblok'client = Storyblok::Client.new(token: 'YOUR_TOKEN')
client.get('taxonomy_terms/:id')let storyblok = URLSession(storyblok: .cdn(accessToken: "YOUR_ACCESS_TOKEN"))let request = URLRequest(storyblok: storyblok, path: "taxonomy_terms/:id")let (data, _) = try await storyblok.data(for: request)print(try JSONSerialization.jsonObject(with: data))val client = HttpClient { install(Storyblok(CDN)) { accessToken = "YOUR_ACCESS_TOKEN" }}
val response = client.get("taxonomy_terms/:id")
println(response.body<JsonElement>())Was this page helpful?
This site uses reCAPTCHA and Google's Privacy Policy (opens in a new window).Terms of Service (opens in a new window) apply.
Get in touch with the Storyblok community